# $Revision: 1.18 $, $Date: 2003/12/28 03:03:25 $
Summary:	A utility for converting ELF binaries to a.out binaries
Summary(pl):	Narzdzie do konwersji binariw ELF do a.out
Name:		elftoaout
Version:	2.3
Release:	1
License:	GPL
Group:		Applications/System
Source0:	ftp://sunsite.icm.edu.pl/site/linux-sparc/elftoaout/%{name}-%{version}.tgz
Patch0:		%{name}-gkh.patch
# Source0-md5:	be3bd6f7ba8ae107cbdbaa820ba64f86
ExclusiveArch:	sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The elftoaout utility converts a static ELF binary to a static a.out
binary. If you're using an ELF system (i.e., Red Hat Linux) on a
SPARC, you'll need to run elftoaout on the kernel image so that the
SPARC PROM can netboot the image.

If you're installing Red Hat Linux on a SPARC, you'll need to install
the elftoaout package.

%description -l pl
Narzdzie elftoaout konwertuje statyczne binaria ELF do statycznych
binariw a.out. Jeli uywacie systemu opartego na ELF-ie na SPARC-u,
bdziecie musieli przekonwertowa obraz kernela za pomoc elftoaout,
aby SPARC PROM mg go uruchomi z sieci. Jeli instaluje si Linuksa
na SPARC-u, naley zainstalowa pakiet elftoaout.

%prep
%setup -q
%patch0

%build
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install elftoaout $RPM_BUILD_ROOT%{_bindir}/elftoaout
install elftoaout.1 $RPM_BUILD_ROOT%{_mandir}/man1/elftoaout.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/elftoaout
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: elftoaout.spec,v $
Revision 1.18  2003/12/28 03:03:25  undefine
- patch to allow build on gkh(use elf.h, not linux/elf.h)

Revision 1.17  2003/11/28 11:04:15  zagrodzki
- fixed URL

Revision 1.16  2003/10/04 11:30:32  malekith
- working source url and md5

Revision 1.15  2003/09/20 15:01:49  misi3k
- cosmetics

Revision 1.14  2003/05/25 05:47:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/04/25 16:14:48  arturs
fixed a small typo

Revision 1.12  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:12:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/07/24 00:29:56  blues
- typo

Revision 1.8  2001/05/02 02:43:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2000/08/26 15:09:06  kloczek
- updated to 2.3.

Revision 1.6  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.5  2000/05/18 18:30:52  kloczek
- spec adapterized.

Revision 1.4  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 15:48:17  arturs
- added %description -l pl

Revision 1.1  1999/08/19 20:07:25  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- rebuild for Raw Hide.

* Fri Jul 10 1998 Jeff Johnson <jbj@redhat.com>
- repackage ultrapenguin with build root.
